<?php
namespace Auction\DataBin;



/**
 * Stock PDF exports.
 * @author andre.fourie
 */
class Pdf extends \Workspace\Service\DataBin
{

	/**
	 * @var array
	 */
	protected $meta = array(
			'Base'        => 'Auction',
			'DatasetName' => 'valuation',
			'Entity'      => '\Auction\Entity\Auction',
			'References'  => array(),
			'Dependants'  => array()
	);
	/**
	 * @var array
	*/
	protected $metaPrint = array(
			'Type'          => 'Pdf',
			'Builder'       => '\Auction\Pdf\Admin',
			'Writer'        => '\Utility\Export\PdfTemplate',
			'Output'        => 'Download',
			'RequiredInput' => array(),
			'OptionalInput' => array(
					'PdfTemplate' => array(
							'email' => 'Email'
					)
			)
	);
    /**
     * @var array
     */
    protected $metaPrintPortal = array(
        'Type'          => 'Pdf',
        'Builder'       => '\Auction\Pdf\Portal',
        'Writer'        => '\Utility\Export\PdfTemplate',
        'Output'        => 'Download',
        'RequiredInput' => array(),
        'OptionalInput' => array(
            'PdfTemplate' => array(
                'email' => 'Email'
            )
        )
    );
	/**
	 * @var array
	*/
	protected $metaPrint004 = array(
			'Type'          => 'Pdf',
			'Builder'       => '\Auction\Pdf\Pdf004',
			'Writer'        => '\Utility\Export\PdfTemplate',
			'Output'        => 'Download',
			'RequiredInput' => array(),
			'OptionalInput' => array(
					'PdfTemplate' => array(
							'email' => 'Email'
					)
			)
	);

}